<template>
  <div id="aboutPage">
    <template
      v-for="content in pageContent"
      :key="content.index"
    >
      <header-page-block
        v-if="content.type === 'banner_video'"
        :anchors="content.anchors"
        :title="content.title"
        :video="content.video"
      />
      <!-- МЕЛКОМ -->
      <div
        id="melkom"
        v-if="content.type === 'block_link_image'"
      >
        <a
          :href="content.link.href"
          class="melkom-logo"
          :target="content.link.target"
          :title="content.link.title"
        >
          <img
            :src="content.image"
            alt=""
          />
          <div class="block">
            <Link />
            <span v-html="content.text"></span>
          </div>
        </a>
      </div>
      <div
        class="melkom-content"
        v-if="content.type === 'block_title_text_panels'"
      >
        <div class="block">
          <h2 v-html="content.title"></h2>
          <div
            class="melkom-text"
            v-html="content.text"
          ></div>
        </div>
        <div class="melkom-block-wrapp">
          <div
            v-for="item in content.panels"
            class="melkom-block"
          >
            <div class="melkom-block-title">
              <span v-html="item.top" v-if="item.top"></span>
              <span class="melkom-block-numbers">{{ item.text }}</span>
              <span v-html="item.bottom" v-if="item.bottom"></span>
            </div>
          </div>
        </div>
      </div>
      <!-- История завода -->
      <!-- Сотрудничество с ВНИРО -->
      <div
        class="istory-vniro-wrapper"
        v-if="content.type === 'block_text_images_slider'"
      >
        <div
          class="istory-vniro-block"
          :id="historyId"
        >
          <div v-for="block in content.text_items">
            <h2 v-html="block.title"></h2>
            <div
              class="vniro-schild"
              v-if="block.subtitle"
            >
              <div
                v-for="item in block.subtitle"
                class="vniro-schild-item"
              >
                {{ item }}
              </div>
            </div>
            <div class="istory-wrapper">
              <div
                class="istory-text"
                v-html="block.text"
              ></div>
            </div>
          </div>
        </div>
        <div v-if="content.slider">
          <div class="vniro-img">
            <SliderImages
              :images="content.slider.items"
              :id-slider="'vniro-slider'"
            />
            <img
              :src="content.slider.image_over"
              alt=""
              class="vniro-img-logo"
            />
          </div>
        </div>
      </div>

      <!-- Лаборатория и НТЦ -->
      <div
        :id="laboratoryId"
        v-if="content.type === 'block_title_panels'"
      >
        <h2 v-html="content.title"></h2>
        <div class="laboratory-text-wrapp">
          <div
            class="laboratory-text"
            v-html="content.left.text"
          ></div>
          <div
            class="laboratory-text"
            v-html="content.right.text"
          ></div>
        </div>
        <div class="laboratory-images">
          <div class="splide-wrapper laboratory-images-item" v-if="content.left.slider || content.left.image">
            <slider-images v-if="content.left.slider"
              :images="content.left.slider"
              :id-slider="'lab-slider'"
            />
            <img v-else
              :src="content.left.image"
              alt=""
            />
          </div>
          <div class="laboratory-images-item" v-if="content.right.image">
            <img
              :src="content.right.image"
              alt=""
            />
          </div>
        </div>
      </div>

      <!-- Комплекс лабораторных исследований -->
      <SliderBlockWhite
        v-if="content.type === 'slider_text_elements'"
        id="lab"
        :title="content.title"
        :posttitle="content.subtitle"
        :loop="false"
      >
        <template #slide>
          <div
            v-for="(step, index) in content.items"
            :key="index"
            class="block-item lab-block splide__slide"
          >
            <div class="lab-content">
              <div class="lab-number">{{ '0' + (index + 1) }}</div>
              <div
                class="lab-anons"
                v-html="step"
              ></div>
            </div>
          </div>
        </template>
      </SliderBlockWhite>
    </template>
  </div>
</template>

<script>
import { HTTP, Routes } from '../api/API';

import SliderBlockWhite from '../components/SliderBlockWhite.vue';
import VniroBlock from '../components/VniroBlock.vue';
import Button from '../components/common/button.vue';
import SliderImages from '../components/SliderImages.vue';
import VSwiper from '../components/VSwiper.vue';
import HeaderPageBlock from '../components/HeaderPageBlock.vue';
import Link from '../components/icons/link.vue';
import Popup from '../components/Popup.vue';


export default {
  components: {
    VniroBlock,
    SliderBlockWhite,
    Button,
    SliderImages,
    VSwiper,
    HeaderPageBlock,
    Link,
    Popup,
  },
  data() {
    return {
      historyId: null,
      pageContent: [],
      laboratoryId: null,
    };
  },
  mounted() {
    this.getContent();
  },
  updated() {},
  methods: {
    getContent() {
      HTTP.get(Routes.about)
        .then(response => {
          // console.log('response.data.about: ', response.data.data.content);

          this.pageContent = response.data.data.content;
          this.pageContent.forEach(item => {
            switch (item.type) {
              case 'anchor':
                if (item.code === 'history') {
                  this.historyId = item.code;
                } else if (item.code === 'vniro') {
                  // this.compositionsId = item.code;
                } else if (item.code === 'top') {
                  this.toTop = item.code;
                } else if (item.code === 'laboratory') {
                  this.laboratoryId = item.code;
                }
                break;
              default:
                break;
            }
          });
        })
        .catch(error => {
          console.log(error);
        });
    },
  },
};
</script>
